org.apache.ignite.internal.processors.query

## Class QueryRunningFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<String>
  - - org.apache.ignite.internal.processors.query.QueryRunningFuture

All Implemented Interfaces:
  IgniteInternalFuture<String>

    public class QueryRunningFuture
    extends GridFutureAdapter<String>

Query running future.

### Constructor Summary

Constructors
Constructor and Description
`QueryRunningFuture()`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QueryRunningFuture

    public QueryRunningFuture()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020